# API Intégrations

L'API Intégrations permet de développer des outils pour vos collaborateurs ayant accès à Citipo.

{% hint style="info" %}
[Lire la référence OpenAPI de l'API Intégrations](https://console.citipo.com/openapi#operations-tag-Integrations)
{% endhint %}

## Authentification

L'authentification sur l'API Intégrations implique de récupérer le consentement d'un collaborateur à accéder à son compte Citipo. Pour cela, vous pouvez passer par les Intégrations Citipo comme par exemple [un bot Telegram](https://docs.citipo.com/integrations/creer-des-bots-telegram-bases-sur-citipo).

Une fois que vous avez récupéré le token de consentement du collaborateur, vous pouvez l'utiliser en Bearer token HTTP :

```
curl --request GET \
  --url 'https://console.citipo.com/api/integrations/projects' \
  --header 'Authorization: Bearer telegram_6cbecdad1a33ea8afa60def486578b9e99b238ec0c330d9c521e86308e092f57'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.citipo.com/developpeurs/api/api-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
